Altibase.jdbc.driver

## Class AbstractResultSet

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AbstractResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseResultSet

    public abstract class AbstractResultSet
    extends WrapperAdapter
    implements java.sql.ResultSet

java.sql.ResultSet 인터페이스 중 구현하지 않는 인터페이스를 정의한다.

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractResultSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Reader` `getNCharacterStream(int aColumnIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String aColumnName)`
`java.sql.NClob` `getNClob(int aColumnIndex)`
`java.sql.NClob` `getNClob(java.lang.String aColumnName)`
`java.sql.RowId` `getRowId(int aColumnIndex)`
`java.sql.RowId` `getRowId(java.lang.String aColumnName)`
`java.sql.SQLXML` `getSQLXML(int aColumnIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String aColumnName)`
`void` `updateNCharacterStream(int aColumnIndex, java.io.Reader aReader)`
`void` `updateNCharacterStream(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateNCharacterStream(java.lang.String aColumnName, java.io.Reader aReader)`
`void` `updateNCharacterStream(java.lang.String aColumnName, java.io.Reader aReader, long aLength)`
`void` `updateNClob(int aColumnIndex, java.sql.NClob aNClob)`
`void` `updateNClob(int aColumnIndex, java.io.Reader aReader)`
`void` `updateNClob(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateNClob(java.lang.String aColumnName, java.sql.NClob aNClob)`
`void` `updateNClob(java.lang.String aColumnName, java.io.Reader aReader)`
`void` `updateNClob(java.lang.String aColumnName, java.io.Reader aReader, long aLength)`
`void` `updateRowId(int aColumnIndex, java.sql.RowId aValue)`
`void` `updateRowId(java.lang.String aColumnName, java.sql.RowId aValue)`
`void` `updateSQLXML(int aColumnIndex, java.sql.SQLXML aXmlObject)`
`void` `updateSQLXML(java.lang.String aColumnName, java.sql.SQLXML aXmlObject)`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AbstractResultSet

    public AbstractResultSet()

### Method Detail

#### getRowId

    public java.sql.RowId getRowId(int aColumnIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String aColumnName)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(int aColumnIndex,
                            java.sql.RowId aValue)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(java.lang.String aColumnName,
                            java.sql.RowId aValue)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int aColumnIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String aColumnName)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int aColumnIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String aColumnName)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.sql.NClob aNClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.sql.NClob aNClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.io.Reader aReader,
                            long aLength)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.io.Reader aReader,
                            long aLength)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(int aColumnIndex,
                             java.sql.SQLXML aXmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(java.lang.String aColumnName,
                             java.sql.SQLXML aXmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.io.Reader aReader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.io.Reader aReader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int aColumnIndex,
                                       java.io.Reader aReader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String aColumnName,
                                       java.io.Reader aReader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int aColumnIndex,
                                       java.io.Reader aReader,
                                       long aLength)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String aColumnName,
                                       java.io.Reader aReader,
                                       long aLength)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int aColumnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String aColumnName)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`